appender_type_mmap.h(3)

NAME
appender_type_mmap.h - Log4c mmap(2) appender interface.

SYNOPSIS

#include <log4c/defs.h>
#include <log4c/appender.h>

  Variables

__LOG4C_BEGIN_DECLS const log4c_appender_type_t log4c_appender_type_mmap

Detailed Description

Log4c mmap(2) appender interface.

The mmap appender uses a fixed length memory mapped file for logging. The appender's name is used as the file name which will be opened and mapped to memory at first use. The memory mapped file is then used as a rotating buffer in which logging events are written.

The following examples shows how to define and use mmap appenders.

log4c_appender_t* myappender;

myappender = log4c_appender_get("myfile.log");
log4c_appender_set_type(myappender, &log4c_appender_type_mmap);

Warning:
    the file is not created at first use. It should already exist and have a reasonable size, a mutilple of a page size.

Variable Documentation

  __LOG4C_BEGIN_DECLS const log4c_appender_type_t log4c_appender_type_mmap
Mmap appender type definition.

This should be used as a parameter to the log4c_appender_set_type() routine to set the type of the appender.

Author

Generated automatically by Doxygen for log4c from the source code.